diff -u 01513/src/lexer_v3.l 0163/src/lexer_v3.l
--- 01513/src/lexer_v3.l	2003-12-25 19:37:44.000000000 -0500
+++ 0163/src/lexer_v3.l	2004-01-16 18:20:22.000000000 -0500
@@ -1,4 +1,4 @@
-/* $Id: lexer_v3.l,v 1.130 2003/12/26 00:37:44 m-a Exp $ */
+/* $Id: lexer_v3.l,v 1.136 2004/01/16 23:20:22 relson Exp $ */
 
 %{
 /*
@@ -128,6 +128,7 @@
 
 ID		<?[[:alnum:]-]*>?
 CHARSET		[[:alnum:]-]+
+VERPID		[[:alnum:]#-]+[[:digit:]]+[[:alnum:]#-]+
 MTYPE		[[:blank:]]*[[:alnum:]/-]*
 
 NUM		[[:digit:]]+
@@ -198,7 +199,7 @@
 
 BREAKHTML	"<"({HBREAK}({WHITESPACE}[^>]*|""))">"
 
-VERP		{TOKEN}-{NUM}-{TOKEN}={TOKEN}@{TOKEN}
+VERP		{TOKEN}-{VERPID}-{TOKEN}={TOKEN}@{TOKEN}
 
 %s TEXT HTML BOGO_LEX
 %s HTOKEN HDISCARD SCOMMENT LCOMMENT HSCRIPT
@@ -218,8 +219,8 @@
 						  yy_unput(w->text, text_decode(w));
 						}
 
-<INITIAL>^(To|From|Return-Path|Subject):	{ set_tag(yytext); }
-<INITIAL>^Received:				{ set_tag(yytext); return TOKEN; }
+<INITIAL>^(To|CC|From|Return-Path|Subject):	{ set_tag(yytext); }
+<INITIAL>^Received:				{ set_tag(yytext); }
 <INITIAL>^Content-(Transfer-Encoding|Type|Disposition):{MTYPE}	{ mime_content(yy_text()); skip_to(':'); return TOKEN; }
 
 <INITIAL>^MIME-Version:.*			{ mime_version(yy_text()); return HEADKEY; }
@@ -247,8 +248,6 @@
 						}
 
 <INITIAL>\n					{ set_tag("Header"); lineno += 1; }
-<INITIAL><<EOF>>				{ return NONE; }
-
 <INITIAL>{VERP} 				{ skip_to('='); return VERP; }
 
 ^--{MIME_BOUNDARY}(--)?$			{ if (got_mime_boundary(yy_text())) {
@@ -320,7 +319,7 @@
     memcpy(yycopy+yyleng-len, yytext, len);	/* copy leading text to end of buffer */
     yycopy[yyleng] = '\0';			/* for debugging */
 
-    yy_unput((unsigned char *)yycopy, yyleng);
+    yy_unput((byte *)yycopy, yyleng);
     xfree(yycopy);
 }
 
@@ -352,7 +351,13 @@
 
     txt += 2;
     val = isdigit((byte) *txt) ? atoi(txt) : xtoi(txt+1, 4);
-    if ((val < 256) && isprint(val)) {	/* use it if printable */
+
+    /* xtoi() limits conversion to 4 characters */
+    /* atoi() limits value to 0x7fffffff, i.e. 2147483647 */
+    /* no problem on linux */
+
+    if ((val > 0) && (val < 256) && 
+	isprint(val)) {			/* use it if printable */
 	yyunput(val, yytext);
 	yyleng = len;			/* adjust len to pre-char count */
     }
@@ -362,7 +367,7 @@
     }
 
     if (yycopy != NULL) {
-	yy_unput((unsigned char *)yycopy, yyleng);
+	yy_unput((byte *)yycopy, yyleng);
 	xfree(yycopy);
     }
 }
@@ -417,7 +422,7 @@
     yy_flex_debug = BOGOTEST('L');
 #endif
 }
- 
+
 /*
  * The following sets edit modes for GNU EMACS
  * Local Variables:
